Create email template
curl --request POST \
--url https://api.tagada.io/api/public/v1/email-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": {},
"active": true,
"storeId": "<string>",
"params": {
"replyTo": "<string>",
"specific": {}
},
"id": "<string>",
"templateVariables": {}
}
'import requests
url = "https://api.tagada.io/api/public/v1/email-templates"
payload = {
"name": "<string>",
"subject": {},
"active": True,
"storeId": "<string>",
"params": {
"replyTo": "<string>",
"specific": {}
},
"id": "<string>",
"templateVariables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: {},
active: true,
storeId: '<string>',
params: {replyTo: '<string>', specific: {}},
id: '<string>',
templateVariables: {}
})
};
fetch('https://api.tagada.io/api/public/v1/email-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}email-templates
Create email template
Create a new email template for a store
POST
/
api
/
public
/
v1
/
email-templates
Create email template
Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Available options:
abandoned_checkout, order_paid, order_refunded, customer_promotion_code, club_membership_started, subscription_rebill_upcoming, subscription_rebill_succeeded, subscription_canceled, subscription_past_due, free_trial_expiration_incoming, club_membership_deactivated Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
⌘I
